use std::net::IpAddr;

use macaddr::MacAddr;

pub trait Address: PartialEq {
    fn mac(&self) -> MacAddr;
    fn ip(&self) -> IpAddr;
}

#[derive(PartialEq, Debug)]
struct SimpleAddress {
    mac: MacAddr,
    ip: IpAddr
}

impl SimpleAddress {
    fn new(ip: IpAddr, mac: MacAddr) -> SimpleAddress {
        return SimpleAddress {
            ip,
            mac
        }
    }
}

impl Address for SimpleAddress {
    fn mac(&self) -> MacAddr {
        self.mac
    }

    fn ip(&self) -> IpAddr {
        self.ip
    }
}